Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.DeadlockResolution Property
DatabaseEnvironment Class See Also Send Feedback

The deadlock detector configuration, specifying what lock request(s) should be rejected. As transactions acquire locks on behalf of a single locker ID, rejecting a lock request associated with a transaction normally requires the transaction be aborted.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#
    public DeadlockPolicy DeadlockResolution { get; set; }

Visual Basic (Declaration)
    Public Property DeadlockResolution As DeadlockPolicy

Visual C++
    public:
    property DeadlockPolicy^ DeadlockResolution {
    	DeadlockPolicy^ get ();
    	void set (DeadlockPolicy^ value);
    }

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace